## cookie

Das CookiePackage-Interface bietet Funktionen zur Verwaltung von HTTP-Cookies. Es beinhaltet folgende Methoden:

-   `get(name: string): string`:
    Diese Methode nimmt den Namen eines Cookies entgegen und gibt den Wert dieses Cookies zurück.

-   `set(name: string, value: string, options?: {}): void`:
    Diese Methode nimmt den Namen und den Wert eines Cookies sowie optionale Cookie-Optionen entgegen und setzt das Cookie. Die Optionen können das Ablaufdatum, den Pfad, die Domain und die Secure- und HttpOnly-Flags steuern.

```ts
interface CookiePackage {
    /**
     * get cookie from http header
     *
     * @param name cookie name
     */
    get(name: string): string

    /**
     * set cookie via http header
     *
     * @param name cookie name
     * @param value cookie value
     * @param options cookie options
     */
    set(
        name: string,
        value: string,
        options?: {
            maxAge?: number
            path?: string
            domain?: string
            secure?: boolean
            httpOnly?: boolean
        }
    ): void
}
```
